Subject: Re: linux-next: manual merge of the iommufd tree with the iommu tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 30 Oct 2023 15:26:21 -0300

On Fri, Oct 27, 2023 at 05:15:22PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Fri, 27 Oct 2023 15:55:22 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the iommufd tree got a conflict in:
> > 
> >   drivers/iommu/iommufd/selftest.c
> > 
> > between commits:
> > 
> >   1c68cbc64fe6 ("iommu: Add IOMMU_DOMAIN_PLATFORM")
> >   13fbceb1b8e9 ("iommufd: Convert to alloc_domain_paging()")
> > 
> > from the iommu tree and commits:
> > 
> >   408663619fcf ("iommufd/selftest: Add domain_alloc_user() support in iommu mock")
> >   266ce58989ba ("iommufd/selftest: Test IOMMU_HWPT_ALLOC_DIRTY_TRACKING")
> >   7adf267d66d1 ("iommufd/selftest: Test IOMMU_HWPT_SET_DIRTY_TRACKING")
> >   a9af47e382a4 ("iommufd/selftest: Test IOMMU_HWPT_GET_DIRTY_BITMAP")
> >   0795b305da89 ("iommufd/selftest: Test IOMMU_HWPT_GET_DIRTY_BITMAP_NO_CLEAR flag")
> >   65fe32f7a447 ("iommufd/selftest: Add nested domain allocation for mock domain")
> > 
> > from the iommufd tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> The resolution should have been as below (I think).

This was too horrible, I pushed a patch to reorganize the new iommufd side
code to more closely match how the domain_alloc_paging stuff is
supposed to work

Thanks,
Jason